﻿# define grammars for characters
init -1 python:
    from renpy_tracery import TraceryCharacter as TC
    # you
    you_grammar = {
        'closet': ['{i}Y\'know, thinking back, it was in fact made of glass.{/i}', '{i}Come to think of it, where\'d I put that pink flannel I got the other day?{/i}'],
        'bathroom': ['{i}When I look in the mirror for too long, I start to ponder new piercings...{/i}', '{i}It was really nice of her to get me that lotion.{/i}'],
        'kitchen': ['{i}... I have no time for another food fiasco.{i}', '{i}I should\'ve snapped a picture of those cookies. She would\'ve gotten a laugh out of it.{/i}'],
        'cathedral': ['{i}... If I play with Chat now, I won\'t have to willpower to leave.{/i}', '{i}I wonder if I can teach Chat Baker to sing?{/i}']
    }
    # narrator
    narrator_grammar = {
        'closet': ['Eager to go back in already?', 'Your clothes are put away properly for once. Who knew that\'d make finding things easier?'],
        'bathroom': ['Mould taunts you from the corner of the bathtub.', 'How many days has it been since you\'ve washed your head again?'],
        'kitchen': ['Haven\'t gotten your fix of cardiovascular endangerment yet?', 'You ran out of instant coffee the other day. Looks like you\'ll be spending the morning nodding off in class...'],
        'cathedral': ['Sadly, Chat is nowhere to be seen.', 'You make a mental note to start saving for a new cat tower.']
    }
    # phone
    phone_grammar = {
        'costar': ['Try not to think yourself into a hole today.', 'Fruitcake.', 'Your nervous energy won’t be especially useful today.', 'Your overthinking hasn\'t made you very smart.', 'Is this how you want to live your life?', 'Try not to think yourself into a hole today.', 'Try not to think of other people as projections of your own psyche today.', 'Down bad, are we?', 'Where did your vitality go?', 'Gayass.', "It'd be a good idea to get a head start on those assignments.", "You may find that going outside for once will open up opportunities for meaningful connection."]
    }

# Tracery characters
define y = TC("You", grammar=you_grammar)
define n = TC(None, grammar=narrator_grammar)
define bb = TC("[phone]", grammar=phone_grammar)

# characters
define c = Character("Chat Baker")

# NVL characters used for texting
define y_nvl = Character("You", kind=nvl, callback=Phone_SendSound)
define s_nvl = Character("Somebunny☆", kind=nvl, callback=Phone_ReceiveSound)

define config.adv_nvl_transition = None
define config.nvl_adv_transition = Dissolve(0.3)

# images
image bg bedroom:
    "bedroom.png"
image bg bedroom_music:
    "bedroom_music.png"
image bg bedroom_lights:
    "bedroom_lights.png"
image bg bathroom:
    "bathroom.png"
image bg kitchen:
    "kitchen.png"
image bg cathedral:
    "cathedral.png"
image bg cathedral_toyless:
    "cathedral_toyless.png"
image bg cathedral_food:
    "cathedral_food.png"

image you blank:
    zoom 1.25
    xpos 0.8
    ypos 1.1
    "blank.png"
image you emo:
    zoom 1.25
    "emo.png"
image you jorts:
    zoom 1.25
    "jorts.png"
image you vest:
    zoom 1.25
    "vest.png"
image you thrift:
    zoom 1.25
    "thrift.png"
image you ring:
    zoom 1.25
    "ring.png"

image lotion:
    zoom 1.25
    xpos 0.8
    ypos 1.1
    "lotion.png"
image eyebags:
    zoom 1.25
    xpos 0.8
    ypos 1.1
    "eyebags.png"
image blush:
    zoom 1.25
    xpos 0.8
    ypos 1.1
    "blush.png"
image smile:
    zoom 1.25
    xpos 0.8
    ypos 1.1
    "smile.png"
image scratched_nosleeve:
    zoom 1.25
    xpos 0.8
    ypos 1.1
    "scratched1.png"
image scratched_sleeve:
    zoom 1.25
    xpos 0.8
    ypos 1.1
    "scratched2.png"
image sweatdrop:
    zoom 1.25
    xpos 0.8
    ypos 1.1
    "sweatdrop.png"
image sparkle:
    zoom 1.25
    xpos 0.8
    ypos 1.1
    "sparkle.png"

image phone off:
    zoom 1.0
    xpos 0.2
    ypos 1.05
    "off.png"
image phone on:
    zoom 1.0
    xpos 0.2
    ypos 1.05
    "on.png"
image phone on_webpage:
    zoom 1.0
    xpos 0.2
    ypos 1.05
    "on_webpage.png"
image notif:
    zoom 1.0
    xpos 0.2
    ypos 1.05
    "notif.png"
image ping_blue:
    zoom 1.0
    xpos 0.2
    ypos 1.05
    "ping_blue.png"
image ping_yellow:
    zoom 1.0
    xpos 0.2
    ypos 1.05
    "ping_yellow.png"

image chat neutral:
    zoom 1.05
    xpos 0.185
    ypos 1.1
    "chat_neutral.png"
image chat angry:
    zoom 1.05
    xpos 0.185
    ypos 1.1
    "chat_angry.png"
image chat_mouth:
    zoom 1.05
    xpos 0.185
    ypos 1.1
    "chat_mouth.png"

# game start
label start:

    # jump credits #-------------------------TESTING

    #bedroom
    scene bg bedroom
    with fade
    show you blank
    show phone on
    show notif
    show ping_yellow

    # music
    $ renpy.music.set_volume(0.5, 0, channel="music")
    play music "bedroom.mp3" fadein 5.0

    $ phone = ""
    play sound "notification.mp3" volume 1.0
    bb "{i}(ping){/i}"
    hide ping_yellow
    y "{i}... Ugh, what was that?{/i}"
    n "You reach over to grab your phone to check the time and are immediately blinded by the contempt of a thousand tiny LEDs."
    n "Blinking and squinting, you force your eyes to adjust and read the numbers on the screen. It's ass o'clock."
    y "{i}Of fucking course it is.{/i}"
    n "Going to switch off the evil, malicious, twisted, sick ringer you presumably forgot about last night, you realize with a start that it's already off."
    y "{i}... Right.{/i}"
    n "It's been busted, lately. Your phone, that is. It refuses to shut up, the incessant buzz following you around like a cloud of pestilence with separation anxiety."
    n "You'd turn it off, but last time you tried that, well. Let's just say. Peanits."
    y "{i}... Since I'm awake, may as well check what that notification was.{/i}"
    bb "Bro-Star: Your day at a glance. #costar#"
    hide notif
    show phone off
    y "{i}Oh okay. Read to fucking filth first thing in the morning.{/i}"
    y "{i}Whatever. Now that I'm awake, might as well get up.{/i}"
    show phone on
    y "Hey Broth, phone dearest. Play."

    show bg bedroom_music
    $ phone = "Broth"
    bb "{i}♪ I'm beautiful, I know 'cause it's the season... ♪{/i}"
    show phone off
    show sweatdrop
    y "...?"
    y "{i}Nuh uh. It's 6 in the morning. Not a chance.{/i}"
    show phone on
    hide sweatdrop
    menu:
        y "Broth, play..."
        "Something to pump me up!":
            bb "{i}♪ Creeper? ♪{/i}"
            y "Aww, man."
            y "{i}... Alright. Off to the races, I suppose.{/i}"
        "Something edgy. It's 6 AM. That's gotta be the move.":
            bb "{i}♪ When I was...{w} a young boy...{p}My father...{w} took me into the city... ♪{/i}"
            y "{i}... This fuckass phone.{/i}"
            y "{i}Let's just go get ready.{/i}"
            y "Broth, you're getting demoted."
        "Something I know all the lyrics to.":
            bb "{i}♪ Can't wait to meet you...{p} So join the animatronic family... ♪{/i}"
            y "{i}... Surely this is a joke.{/i}"
            y "{i}Read like an open book twice. In the span of an hour. By a PHONE. Maybe I should be concerned about them stealing my data...{/i}"
            y "{i}Or maybe I fed the algorithm morsel by morsel and need to do some introspecting. Either way, gotta blast!{/i}"
        "Something beautiful enough to part oceans, move mountains, and keep cats off keyboards.":
            bb "{i}♪ If the wind turns...{w} if I hit a squall...{p} Allow the ground to find it's brutual way to me... ♪{/i}"
            y "{i}I gotta hand it to you, Broth. This is quite the 6 AM choice.{/i}"
            y "{i}Might put me back to sleep, though. Better get moving before succumbing to that likely possibility...{/i}"
        "Actually, that was exactly what I needed. Play something that'll make me want to throw up.":
            bb "{i}♪ A heart...{w} that's...{w} full up like a landfill... ♪{/i}"
            y "{i}... Ah, yes. The consequence of my actions.{/i}"
            y "{i}I'll just... go get ready. Y'know, to Radiohead. Like a normal, well-adjusted individual.{/i}"
            n "Good work, mate."
        "A song with a fucking beat!":
            bb "{i}♪ Same old story time again...{p} Got so close, but then you lost it... ♪{/i}"
            show smile
            y "Broth, max volume."
            y "{i}Good luck, me!{/i}"

$ rooms_done = -1
$ closet = False
$ bathroom = False
$ kitchen = False
$ cathedral = False
$ time = ["6:43", "7:26", "8:35", "9:12"]

label rooms:
    hide phone
    hide smile
    menu:
        n "Where will you go?"
        "The closet.":
            show bg bedroom_music
            if closet == False: 
                $ rooms_done += 1
                $ closet = True
                y "{i}Ah, should I go back inside?{/i}"
                y "{i}... Just kidding. What to wear today?{/i}"
                menu:
                    "The \"Never Escaping 2019 BokBok.\"":
                        show you emo
                        y "{i}Timeless.{w} Wait, is it?{/i}"
                        bb "{i}♪ Dare me to jump off of this jersey bridge!{p}I'll bet you've never had a Friday night like this! ♪{/i}"
                        show smile
                        y "!!!"
                        n "You get a little too excited and knock your phone off your dresser."
                        hide smile
                    "Your favourite controversial fashion take.":
                        show you jorts
                        y "{i}Rule 8: it's not a good fit if you don't attract at least two strange stares."
                        show smile
                        n "You step back to admire how the wide-leg baggy jorts and babydoll dress accentuate your ass in the mirror and knock your phone off your dresser."
                        hide smile
                    "The generic college student combo, no diss.":
                        show you vest
                        n "Grandpacore has never looked better."
                        y "(clears throat)"
                        y "My daughter loves him.{w} I think he looks a little gay.{w} But whatever makes my princess happy ♡"
                        n "You take a few steps back to admire your work in the mirror and knock your phone off your dresser."
                    "Your latest blessing from the thrift store gods.":
                        show you thrift
                        show smile
                        y "{i}Oh yeah. Now THIS is cunt.{/i}"
                        n "You take a few steps back, jangling all the way, and knock your phone off your dresser."
                        hide smile
                    "Shoes?":
                        show you ring
                        n "Desperate to sheathe your grotesque grippers, are you? Alas, it is an impossible feat; take a gander! You don't have feet."
                        n "Taking a few steps back to admire your work, or lack thereof, in the mirror, you knock your phone off your dresser."
                show phone off
                y "Oops."
                n "There's the telltale sound of Biri awakening."
                show phone on
                show ping_blue
                bb "What can I help you with?"
                hide ping_blue
                y "Just accidentally put you on the floor. Don't worry abou—"
                show ping_blue
                bb "Now searching \"compliments for the poor.\""
                hide ping_blue
                y "What."
                y "Dude, we literally are the poor. I owe 40,000k to the government for labouring in the system they set up for their benefit and can't afford bleach to clean the mould out of my shower—"
                show ping_blue
                bb "The top results are: \"Lookin' spiffy,\" \"I love how minimalistic your place is,\" \"That top really suits you,\" and \"Doing laundry is commendable these days!\""
                hide ping_blue
                y "Hey Biri, search \"how to stop my phone from being a classist prick.\""
                show ping_blue
                bb "Sorry, I didn't quite catch that."
                hide ping_blue
                y "That's what I thought."
                show phone off
                y "{i} Did it say I look spiffy? Suppose that means I'm done in here.{/i}"
            else:
                $ random = renpy.random.randint(0, 1)    # pick speaker
                if random == 0:
                    y "#closet#"
                else:
                    n "#closet#"
            jump rooms
        
        "The bathroom.":
            show bg bathroom
            if bathroom == False: 
                $ rooms_done += 1
                $ bathroom = True
                n "Now for the age-old question: hair or makeup first?"
                y "{i}Though in my case, I guess I don't have to worry about either.{/i}"
                n "Time to get started on the seven-step skincare routine."
                n "Step 1: Reach for the unidentified bottle of face lotion."
                n "Step 2: Uncap the unidentified bottle of face lotion."
                n "Step 3: Pour an offensive amount of the unidentified bottle of face lotion onto your paw."
                show lotion
                n "Step 4: Slather the unidentifiable face lotion all over your face. Congrats. Now you look like you've had an unfortunate encounter with a pigeon."
                n "Step 5: Slap.{w} Slap slap.{w} Slap.{w} Slap."
                hide lotion
                show eyebags
                n "Step 6: Take a look at your newfound unidentifiable artificial glow."
                n "Step 7: Stare into the mirror unidentifiable. Unbothered. Mosturized. Happy. In your lane. Focused. Flourishing."
                y "..."
                y "{i}So shiny. Did I overdo it?{/i}"
                show phone on
                show notif
                show ping_yellow
                play sound "notification.mp3" volume 1.0
                bb "{i}(ping){/i}"
                hide ping_yellow
                y "!" with hpunch
                y "{i}I really ought to get used to that. I'll just check it real quick...{/i}"
                #bb "Somebunny☆ sent a message: have you been using the cream i recommended properly? make sure that..."
                hide notif
                hide phone

                # TEXTING
                nvl_narrator "[time[rooms_done]]"
                s_nvl "have you been using the cream i recommended properly? make sure that you're applying it every day, okay?"
                y_nvl "hey!"
                y_nvl "I have. thank you again haha"
                s_nvl "!!!"
                show smile
                s_nvl "you're up early...\nis the world ending? will lava gush out of the earth next?"
                y_nvl "good morning to you too"
                y_nvl "? did you change your pfp?"
                s_nvl "you noticed!!"
                show blush
                s_nvl "it's the you I drew in the snow last month :)"
                s_nvl "just thought it'd be fitting since yours is a rabbit hehe"
                s_nvl "so why are you up so early??"
                hide smile
                y_nvl "ugh. Broth... it's been out to get me these days"
                s_nvl "... soup?"
                y_nvl "no. my cruel cruel phone"
                y_nvl "its name is Broth"
                y_nvl "short for Brother Bartholomew"
                $ phone = "Brother Bartholomew"
                s_nvl "..."
                show smile
                s_nvl "you are so unique, y'know that?"
                y_nvl "thanks."
                s_nvl "it was a compliment!!"
                y_nvl "hmm"
                s_nvl "i swear on the stuffed blue dinosaur i've raised since infancy"
                y_nvl "alright, alright."
                y_nvl "what's got you awake at this hour?"
                s_nvl "this is... a normal time to be awake."
                y_nvl "hey now."
                s_nvl "i've gotta get ready for the committee meeting soon though!"
                y_nvl "ah. must be hard work, planning big events and all"
                s_nvl "sometimes! not today though. just finalizing the details for tonight"
                s_nvl "wait sorry I can literally hear hamuel chewing on my cables lol"
                s_nvl "gotta make sure he doesn't get defibrillated prematurely. see you at the party later?"
                y_nvl "pfft"
                y_nvl "yeah. take a picture of him for me"
                s_nvl "i'll try!"
                
                y "{i}... Well. Better too much than none at all.{/i}"
                hide blush
                y "{i}I should finish getting ready.{/i}"
                hide smile
            else:
                $ random = renpy.random.randint(0, 1)    # pick speaker
                if random == 0:
                    y "#bathroom#"
                else:
                    n "#bathroom#"
            jump rooms
        
        "The kitchen.":
            show bg kitchen
            if kitchen == False: 
                $ rooms_done += 1
                $ kitchen = True
                y "{i}... I can't remember the last time I woke up early enough to get to the kitchen before class.{/i}"
                y "{i}Huh. The clock says it's November 19th today...{p}Wait.{w} NOVEMBER 19TH?!{/i}"
                show phone on
                n "Your panic must've caused to you speak aloud because Biri activates."
                show ping_blue
                bb "Reminder for November 19th. Bake cookies for party at symbol five. Capitalized, don't forget. Exclamation point, exclamation point, exclamation point."
                hide ping_blue
                y "{i}...FUCK.{/i}"
                n "You check the time. [time[rooms_done]]. Okay. If you're not out the door by 10:16, you'll miss the bus, meaning you'll be late to class, meaning you will not be attending class. You've tested this very thoroughly."
                show phone off
                y "{i}I take it back, Broth. The fact that you're here is a sign of some god's grace. It was by divine intervention that I happened to wake up early.{/i}"
                y "{i}... Better get started then.{/i}"
                show phone on_webpage
                n "You search up \"easy cookie recipes\" and are immediately met with... vegetable substitutions.{w} Ten results worth."
                y "{i}Did you know that if you replace your morning carbohydrates with a nice, healthy zucchini, you can lose up to 87\% of what little joy you have left?{/i}"
                n "Upon scrolling a bit further, you find {i}\"FOOLPROOF CHOCOLATE CHIP COOKIES DONE IN 20 MINUTES\"{/i} and click in, hopeful."
                y "{i}I think I can make do with this one. Don't have any brown sugar, but surely there's no real difference...?{/i}"
                hide phone
                n "Fast forward ten minutes.{w} Why are hand mixers so impossible?{w} Why are there spatters of butter flung onto every surface of the apartment within a five-paw radius?{w} Questions that'll never be answered, truly."
                y "{i}Well, baking is all about ratios, right?{/i}" 
                menu:
                    n "How much butter should you add back in to make up for the loss?"
                    "A few tablespoons.":
                        y "{i}Do I even need to add extra butter, or is the dairy disaster assumed? Better to play it safe.{/i}"
                    "About a quarter block.":
                        y "{i}That looks... reasonable?"
                    "A third block.":
                        y "{i}Is that about the amount that flew out?"
                    "Maybe half a block?":
                        y "{i}Yeah, that looks about right! Well, maybe."
                y "{i}Looking at it now, that might be overkill. But some extra butter never hurt anyone, amiright?{/i}"
                n "You combine the remaining ingredients relatively smoothly. Maybe the vanilla extract was measured with a little too much heart, but, hey, who's going to know?"
                show phone on_webpage
                n "After setting the timer, you open Bitter.{w}.. and are immediately bombarded by what must be the most concentrated concoction of hatred and stupidity the world has to offer."
                bb "\"After absorbing the power of 350 incels, the amount of suibai—\""
                y "{i}... I think I'm going to close this now.{/i}"
                y "{i}Come to think of it, wasn't I wondering how sharp koala claws are earlier?{/i}"
                n "Tapping the Binternet icon, you briefly pause at the recommended articles on the homepage."
                show sweatdrop
                bb "{i}\"Why eating well is important: your parents weren't just nagging to nag!\"{/i}"
                bb "{i}\"Six things you didn't know about brussel sprouts.\"{/i}"
                y "{i}...Seriously, what is up with this phone?{/i}"
                hide sweatdrop
                n "Soon, you find yourself on the Bibibebiba page for koalas, and one thing leads to another and oh. Oh. {i}Oh. Oh...{/i}"
                show ping_yellow
                play sound "timer.wav" volume 1.0
                bb "{i}(bzzt bzzt){/i}"
                hide ping_yellow
                hide phone
                n "The timer pulls you out of the sea of anti-koala propaganda long enough to take the cookies out of the oven. No burning today. Nuh-uh sir. Not for you. Today you are the perfect baker, and the kitchen is your fish, or however that saying goes."
                y "..."
                n "The cookies...? Can they be called cookies? Circular...{w} flat...{w} concave...{w} oil-leeching...{w} lumps...{w} exist, all right. They're on the tray, for sure."
                n "You pick one up to see if the taste is salvageable and can't stop the expression that makes its way onto your face. The \"cookie\" dissolves on your tongue. That's not what cookies are supposed to do."
                y "{i}What went wrong?{/i}"
                show phone on
                n "Just as you reach for your phone, the screen lights up."
                show notif
                show ping_yellow
                play sound "notification.mp3" volume 1.0
                bb "\"You have received a new notification. Boggle recommended article: Seven reasons not to add too much butter to baked goods.\""
                hide ping_yellow
                y "...?!"
                hide notif
                show phone off
                n "Your ringer is off and has been, perpetually, for like eight years."
                n "Yeah, that hasn't protected you from being haunted by the narrative for the past little while, but notifications being read aloud is a new one."
                show phone on
                n "Just to quadruple check, you try to turn off your notifications in Settings, but, as per the last few times you tried, the app crashes the moment it opens. Almost like the thing's throwing a tantrum."
                y "Brother Bartholomew, do you hate me...?"
                $ phone = "Brother Bartholomew"
                n "You look down at your phone, again, and happen to catch the time."
                y "{i}SHIT.{/i}"
                show phone off
                n "Looks like you'll be dropping by the bakery later. It'd be best if you hurried—you can't risk missing the bus!"
            else:
                $ random = renpy.random.randint(0, 1)    # pick speaker
                if random == 0:
                    y "#kitchen#"
                else:
                    n "#kitchen#"
            jump rooms
        
        "The Chathedral.":
            show bg cathedral
            if cathedral == False: 
                $ rooms_done += 1
                $ cathedral = True
                n "The Chathedral. The place of your dreams. And nightmares, really."
                show chat neutral
                n "As soon as you get over there, Chat catapults herself towards you. You barely manage to catch her before her stomach is not-so-gracefully introduced to your face."
                n "Then, the idiocy commences."
                show sparkle
                show chat angry
                y "Bonsoiire, mon chat!{w} Ma babée demonique!{w} Z'appelle de la mon aie!"
                n "Note: you do not condone making fun of languages you don't speak."
                n "You spin in a slow circle, disgruntled pet raised to the ceiling."
                y "How est tus? Ma Chat Baké mignonné!{w} Baguette!{w} Fromage!"
                n "Note: the exception is if the language in question is French."
                n "Spinning pawsed, you cuddle Chat in your arms and massage her majestic toe beans."
                y "Oui oui, supère cuté! Voulez-vouz, um, la fôod? Trèz bir… bientôt!"
                hide chat
                show phone on
                show ping_blue
                bb "..."
                hide ping_blue
                hide phone
                show chat angry
                n "Fed up with your antics, Chat uses you as a springboard to leap onto her cat tree."
                show chat neutral
                hide sparkle
                y "Ow!"
                c "{i}(scratch scratch){w} (scratch scratch){w} (scratch scratch){/i}"
                n "When she's catisfied with the sharpness of her nails, she moves on to batting at the stuffed green caterpillar dangling from the tower.{w} For whom on his last legs would be a compliment."
                y "You really love Mr. Chaterpillar, don't you?"
                y "Good thing I found him in the chatalogue when I did. It’s been a few years, though. Maybe it’s time to find a replacem—"
                show chat_mouth
                c "Meow!"
                hide chat_mouth
                show bg cathedral_toyless
                n "With a loud yowl, the cotton carcass is ripped from the tree’s clutches and flung… into the litterbox.{w} Chat’s used litterbox."
                y "… You have gato be kitten me right meow."
                hide chat
                show phone on
                show ping_blue
                bb "Now searching \"kittens.\""
                bb "\"Cute single (kittens) in your area!\""
                hide ping_blue
                show phone on
                y "I am not cheating on my cat!"
                hide phone
                y "{i}…I’ll deal with that tonight. For now, let me grab her kibble.{/i}"
                show chat neutral
                n "As if sensing your intentions, Chat pads over and attempts the world’s first feline bouldering wall."
                n "Namely, your leg."
                y "Hey! Chat Baker...!"
                show bg cathedral_food
                n "You snatch a bag from the shelf and quickly unseal it, dumping a scoop into her bowl."
                show chat angry
                c "..."
                show sweatdrop
                y "{i}... Is she glaring at me?{/i}"
                n "You look at Chat, confused. She looks back, assuming pouncing posture."
                hide sweatdrop
                y "What the—"
                show chat_mouth
                c "Meow!"
                hide chat_mouth
                y "!!!" with hpunch
                n "..."
                show chat neutral
                if closet == True:
                    show scratched_sleeve
                else:
                    show scratched_nosleeve
                n "You come out of the altercation with a few new scratches and a deeply bruised ego. Naturally, Chat lands purrfectly on the floor."
                n "The floor, where the bag of cat food you dropped lies spilled."
                y "Man. This is just a chatastrophe, isn't it."
                n "You pick up the bag.{w} And realize it’s the brand Chat decided three months ago was profoundly disgusting after two years of begging for it every day."
                y "..."
                n "Chat stares at you, unimpressed."
                y "Well, forgive me for being a little scatterbrained this early in the day."
                n "You locate her favourite, Bouncy Beast, and pour it into her bowl."
                y "How's that? Placated now?"
                n "She walks over, takes two sniffs, and promptly walks away, stepping on Broth as she does."
                show sweatdrop
                hide chat
                show phone on
                show ping_yellow
                show notif
                play sound "notification.mp3" volume 1.0
                bb "{i}(ping){/i}"
                hide ping_yellow
                bb "Bmail: Just in! New product from Burina: Meow Meow Tuna Chow! Catered to your cat's every need! Now available for $34.99!"
                hide notif
                show phone off
                hide sweatdrop
                y "Bartholomew. My brother. Do I look like I make enough to afford thirty-five-dollar cat food?"
                y "Don't answer that."
                show phone on
                show ping_yellow
                show notif
                play sound "notification.mp3" volume 1.0
                bb "{i}(ping){/i}"
                hide ping_yellow
                bb "Bmail: New listings available on Bindeed.com!"
                hide notif
                show phone off
                y "Hey! You don't see me questioning your vocational choices!"
                bb "..."
                y "Oh, so now the cat's got your tongue."
                hide phone
                show chat neutral
                show chat_mouth
                c "Meow."
                hide chat_mouth
                y "... Don't you think your catchphrase is a little typical for a cat?"
                show chat_mouth
                c "Meow meow."
                hide chat_mouth
                y "Wow. Litterary."
                n "The room is blanketed in momentary silence as the current track comes to an end."
                bb "{i}♪♪♪{/i}"
                show chat_mouth
                c "Meow!"
                hide chat_mouth
                y "What's that, Chat? Ya like jazz?"
                hide chat
                n "She ignores you completely and leaves."
                y "{i}... She always has taken a shine to it, I suppose.{/i}"
                y "{i}Anyways, my duties here are done.{/i}"
            else:
                $ random = renpy.random.randint(0, 1)    # pick speaker
                if random == 0:
                    y "#cathedral#"
                else:
                    n "#cathedral#"
            jump rooms
        
        "It's time to get going." if rooms_done >= 3:
            n "Never a day you're not practically sprinting out the door, and, despite the early start, today's no exception."

label leave:
    show bg bedroom_music
    n "Grabbing your keys from their hook, you have a paw on the doorknob when a distant chime brings you pause."
    play sound "notification.mp3" volume 0.5
    bb "{i}(ping){/i}"
    y "{i}... Where's Broth?{/i}"
    n "The frenzy that commences can be described as nothing short of a union of the demonic, the possessed, and the un-caffeinated."
    play sound "notification.mp3" volume 1.5
    bb "{i}(ping){/i}"
    y "!!!"
    show phone on
    n "Digging it out of your greedy comforter, you spare a cursory glance at the screen."
    y "{i}What the hell? There aren't even any notifications.{/i}"
    y "..."
    y "That says 10:17, doesn't it."
    hide phone
    n "Looks like you're going to have to make a run for it. Maybe, on the way, you can think about coughing up the funds to take Broth to the phone doctor—{w}or maybe not."
    n "Its budding consciousness is the only reason it's clutched in your paw instead of behind locked doors right now, after all."

    jump credits

    # end
    return
